/*------------------------------------------------------------------------
----- Homepage
------------------------------------------------------------------------ */
#home {

	#main-content {
		display: flex;
		flex-flow: column;
	}
	.section-home--slider {
		order: 1;
	}
	.home-readingpath {
		order: 2;
	}
	.home-intro {
		order: 3;

		&.order_change {
			order: 1;
			margin-top: 40px :;

			@include breakpoint(md) {
				margin-top: 60px;
			}
		}
	}
	.home-collections {
		order: 4;
	}
	.home-recent {
		order: 5;
	}
}
.section-home {
	padding: 0 24px;
	margin-bottom: 48px;

	@include breakpoint(sm) {
		padding-left: 32px;
		padding-right: 32px;
	}
	@include breakpoint(md) {
		padding-left: 48px;
		padding-right: 48px;
		margin-bottom: 64px;
	}

	&__title {
		font-weight: 400;

		@include breakpoint(md) {
			font-size: 1.5em;
		}
	}

	&--slider {
		max-width: $maxwidth-sm;
		margin-left: auto;
		margin-right: auto;
		margin-top: 40px;

		@include breakpoint(md) {
			margin-top: 64px;
			margin-bottom: 48px;
		}

		.slider {
			padding-bottom: 32px;

			&__contents {

				@include breakpoint(md) {
					display: grid;
					grid-template-columns: $three-fifths 1fr;
					grid-column-gap: $margin;
				}
				@include breakpoint(lg) {
					//grid-template-columns: 1fr 1fr;
				}
			}

			&__image {
				display: flex;
				flex-direction: column;
				aspect-ratio: 3 / 2;
				overflow: hidden;

				@include breakpoint(sm) {
					aspect-ratio: auto;
				}
				@include breakpoint(xl) {
					aspect-ratio: 3 / 2;
				}

				img {
					min-height: 100%;
					min-width: 100%;
					max-width: auto;
					object-fit: cover;
					@include transition;
				}
			}

			&__title {
				max-width: 600px;
				margin-top: 16px;
				line-height: 1.25;
				font-weight: 400;

				@include breakpoint(md) {
					margin-top: 0;
					font-size: 1.5em;
				}
			}

			&__description {
				position: relative;
				padding: 24px 0 16px 0;
				background-color: rgba($bg-body, 0.8);
				line-height: 1.15;
				color: $color-global;

				@include breakpoint(sm) {
					padding: 32px 0 24px 0;
				}

				&::before {
					position: absolute;
					z-index: 5;
					top: 0;
					left: -64px;
					content: "";
					display: block;
					width: 80%;
					height: 15px;
					background-color: $bg-tertiary;
				}
			}
			.button--container {
				padding: 0 6px 6px 0;
			}
		}
	}




}

/* -------- READINGPATH -------------------------- */
.home-readingpath {
	position: relative;
	padding: 16px;
	background-color: $bg-body;

	&:first-child {
		margin-top: 64px;
	}

	&::after {
		position: absolute;
		content: '';
		top: 64px;
		right: 0;
		display: block;
		height: 15px;
		width: 114px;
		background-color: $bg-tertiary;
		transform: translateY(-50%);
	}

	&__title,
	&__description {
		max-width: $maxwidth-xs;
		@include margins;
	}
	&__title {
		position: relative;
		margin-top: 32px;

		&::before {
			position: absolute;
			content: '';
			top: 50%;
			width: 200px;
			left: -232px;
			transform: translateY(-50%);
			display: block;
			height: 15px;
			background-color: $bg-tertiary;
		}
	}
	&__description {

		text-align: center;

		ul {
			padding-left: 0;
		}
		li {
			list-style-type: none;
		}
		a {
			font-weight: 500;
			box-shadow: inset 0 -3px 0 0 lighten($bg-border-link, 10%);

			&:hover,
			&:focus {
				box-shadow: inset 0 -30px 0 0 $bg-tertiary;
			}
		}
	}

/* La liste ---------------- */
	&__list {
		display: grid;
		grid-template-columns: 1fr 1fr;
		grid-column-gap: 24px;
		grid-row-gap: 24px;
		margin-top: 32px;

		@include breakpoint(sm) {
			grid-template-columns: 1fr 1fr 1fr;
		}
		@include breakpoint(md) {
			grid-column-gap: 32px;
			margin-top: 48px;
		}
	}
	&__item {
		position: relative;
		display: grid;
		aspect-ratio: 4 / 3;

		&:first-of-type {
			grid-column: span 2;

			@include breakpoint(sm) {
				grid-row: span 2;
			}
		}
		&::before {
			content: '';
			position: absolute;
			left: -12px;
			bottom: -12px;
			display: block;
			width: 80%;
			height: 12px;
			background-color: transparent;

			@include breakpoint(lg) {
				bottom: -15px;
				height: 15px;
			}
		}
		&:hover,
		&:focus-within {

			&::before {
				background-color: $bg-primary;
			}
		}

		a {
			color: $color-light;

			&::after {
				content: '';
				position: absolute;
				top: 0;
				left: 0;
				bottom: 0;
				right: 0;
			}

			&:hover,
			&:focus {
				color: $color-global;

				&::before {
					background-color: $bg-primary;
				}

				h3 {
					left: 10%;
					right: -16px;
					background-color: rgba($bg-tertiary,0.95);
					overflow: visible;
				}
			}
		}

		h3 {
			margin: 0;
			padding: 8px 16px;
			background-color: rgba($bg-primary,0.95);
			line-height: 1.15;
			font-family: $font-headings;
			font-weight: 400;
			font-size: 1.125em;
			@include transition;

			@include breakpoint(xs) {
				position: absolute;
				left: 0;
				top: 32px;
				padding: 16px 64px 12px 24px;
				font-size: 1.325em;
			}
			@include breakpoint(md) {
				min-width: 235px;
			}
		}
	}

	&__img {
		display: flex;
		overflow: hidden;
		height: 100%;
		width: 100%;
		aspect-ratio: 3 / 4;

		img {
			object-fit: cover;
		}
	}
}

/* -------- INTRO -------------------------- */
.home-intro {
	padding: 16px;
	background-image: url(img/bg-intro.jpg);
	background-position: center;
	background-size: cover;

	@include breakpoint(xs) {
		padding: 24px;
	}
	@include breakpoint(sm) {
		padding: 32px 48px;
	}
	// @include breakpoint(md) {
	// 	padding: 64px 128px;
	// }

	& > .wrap {
		position: relative;
		padding: 16px;
		background-color: $bg-body;

		&::after {
			position: absolute;
			content: '';
			top: 31px;
			right: -13px;
			display: block;
			height: 15px;
			width: 26px;
			background-color: $bg-tertiary;
		}

		@include breakpoint(sm) {
			display: flex;
			justify-content: space-between;
			align-items: center;
			padding: 24px;

			&::after {
				top: 39px;
			}
		}
		@include breakpoint(md) {
			padding: 32px;

			&::after {
				top: 47px;
			}
		}
	}

	&__img {

		@include breakpoint(sm) {
			flex-basis: $one-fourth;
		}

		img {
			max-width: 160px;
		}
	}
	&__content {

		@include breakpoint(sm) {
			flex-basis: $three-fourths;
		}
	}
}

/* -------- COLLECTIONS -------------------------- */
.home-collections {

	.wrap--lg {
		position: relative;

		&::after {
			position: absolute;
			content: '';
			top: 10px;
			right: 0;
			display: block;
			height: 15px;
			width: 80px;
			background-color: $bg-tertiary;

			@include breakpoint(xs) {
				width: 200px;
			}
			@include breakpoint(sm) {
				width: 300px;
			}
		}
		& > .wrap {
			padding: 0;
		}
	}

	li {
		list-style-type: none;
	}
	.button--container {
		text-align: center;
	}

	.collection {

		&__list {
			display: grid;
			grid-row-gap: 24px;
			margin: 32px 0;
			padding-left: 0;

			@include breakpoint(sm) {
				grid-template-columns: 1fr 1fr;
				grid-column-gap: 32px;
				grid-row-gap: 32px;
			}
		}

		&__item {
			position: relative;
			display: grid;
			align-items: stretch;

			@include breakpoint(xs) {
				grid-template-columns: 1fr 1fr;
			}
		}

		&__img {
			display: flex;
			flex-flow: column wrap;
			align-content: center;
			justify-content: center;
			aspect-ratio: 10 / 3;
			background-color: lighten($bg-tertiary,30%);
			overflow: hidden;

			img {
				object-fit: cover;
				min-width: 100%;
				min-height: 100%;
			}
		}

		&__title {
			display: flex;
			align-items: center;
			margin-bottom: 0;
			padding: 16px;
			background-color: $bg-primary;

			@include breakpoint(sm) {
				padding: 8px 16px;
			}

			a {
				line-height: 1.15;
				color: $color-light;

				&::after {
					content: '';
					position: absolute;
					top: 0;
					left: 0;
					right: 0;
					bottom: 0;
				}
			}
		}
	}
}

/* -------- RECENT ITEMS -------------------------- */
.home-recent {
	position: relative;
	background-image: url(img/LMU_Relrace_separateur.jpg);
	background-repeat: no-repeat;
	background-size: auto 32px;
	background-position: left top;

	&::before {
		position: absolute;
		content: '';
		top: 10px;
		left: 0;
		display: block;
		height: 15px;
		width: 50px;
		background-color: $bg-tertiary;

		@include breakpoint(xs) {
			width: 150px;
		}
		@include breakpoint(sm) {
			width: 200px;
		}
		@include breakpoint(md) {
			top: 15px;
			width: 350px;
		}
	}

	@include breakpoint(md) {
		background-size: contain;
		background-position: center top;
	}

	h2 {
		text-align: center;
	}

	.splide {

		&__pagination {
			bottom: auto;
			top: -16px;
			left: 0;
			transform: none;
			justify-content: flex-end;
		}
	}
	.slider {

		&__contents {
			position: relative;
			display: grid;
			grid-template-rows: auto 1fr auto;
			padding: 16px;

			@include breakpoint(xs) {
				padding-left: 24px;
				padding-right: 24px;
			}
			@include breakpoint(xl) {
				padding-left: 48px;
				padding-right: 48px;
			}

			&:hover,
			&:focus {

				img {
					transform: scale(1.15);
				}
				.button {
					background-color: transparent;
					box-shadow: 0 0 6px $bg-dark, inset 0 0 0 1px $bg-primary;

					&::before {
						background-color: transparent;
					}
				}
			}
		}

		&__image {
			display: flex;
			aspect-ratio: 1 / 1;
			overflow: hidden;
			background-color: lighten($bg-secondary-cpl, 20%);

			img {
				object-fit: cover;
				min-width: 100%;
				min-height: 100%;
				@include transition;
			}
		}

		&__content {
			padding: 16px;
			font-family: $font-headings;
			@include transition;
		}
		&__title {
			margin-top: 0;
			margin-bottom: 0;
			font-weight: 600;
			line-height: 1.25;

			a {

				&::after {
					content: '';
					position: absolute;
					z-index: 1;
					top: 0;
					bottom: 0;
					left: 0;
					right: 0;
				}

			}
		}
		&__author,
		&__date {
			font-family: $font-family;
			font-weight: 500;
			text-transform: uppercase;

			a {
				border: none;
			}
		}
		&__description {
			line-height: 1.25;

			p:first-of-type {
				margin-top: 0;
			}
		}
	}
}
